postinst is in plymouth-theme-kubuntu-text 1:14.04ubuntu15.
This file is a maintainer script. It is executed when installing (*inst) or removing (*rm) the package.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 | #!/bin/sh -e
error()
{
RET=$?
MSG=$1
echo "E: $MSG";
exit $RET
}
case "$1" in
configure|triggered)
sed -re \
"/\[ubuntu-text\]/ {
N;
s/(title=Kubuntu ).*\$/\1$(lsb_release -rs)/
}" /lib/plymouth/themes/kubuntu-text/kubuntu-text.plymouth.in \
> /lib/plymouth/themes/kubuntu-text/kubuntu-text.plymouth
update-alternatives \
--install /lib/plymouth/themes/text.plymouth text.plymouth \
/lib/plymouth/themes/kubuntu-text/kubuntu-text.plymouth 60 || error "Failed to update-alternatives"
if which update-initramfs >/dev/null 2>&1; then
update-initramfs -u || error "Failed to update-initramfs"
fi
;;
abort-upgrade|abort-deconfigure|abort-remove)
;;
*)
echo "$0 called with unknown argument \`$1'" 1>&2
exit 1
;;
esac
exit 0
|